Bug 47424 - Infinite loop in footnotes
Infinite loop in footnotes
Status: NEW
Product: Fop - Now in Jira
Classification: Unclassified
Component: pdf
trunk
PC Linux
: P3 normal
: ---
Assigned To: fop-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-06-25 04:44 UTC by Johan Pretorius
Modified: 2012-04-07 01:39 UTC (History)
1 user (show)



Attachments
Slightly simplified file showing the problem (97.17 KB, text/plain)
2009-06-26 02:42 UTC, Vincent Hennebert
Details
Another simple example of bug (11.45 KB, application/octet-stream)
2009-06-29 21:11 UTC, Jordan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johan Pretorius 2009-06-25 04:44:22 UTC
See post http://www.nabble.com/fop-trunk-hangs-ts24166975.html

Attached is the fo file that refuses to run to completion.

I have downloaded the most recent trunk version from svn 2 days ago.
Compilation worked fine.

When trying to produce a pdf file from it fop hangs, it seems, after processing all my paragraphs.
Comment 1 Vincent Hennebert 2009-06-26 02:42:56 UTC
Created attachment 23887 [details]
Slightly simplified file showing the problem
Comment 2 Jordan 2009-06-29 21:11:04 UTC
Created attachment 23907 [details]
Another simple example of bug

PDF renders successfully if final footnote code is omitted.
Comment 3 Johan Pretorius 2009-06-30 02:57:52 UTC
I was able to create a pdf from my fo file.
Problem was in one footnote's footnote-body tag I have a fo:block element.

It has an attribute margin-top="5px". Now to create a pdf I have to either remove some text in the block or remove the attribute.

I only needed to fix one footnote.

(I commented out every footnote and then tried to create a pdf until it failed.
Only one footnote had this problem.)
Comment 4 Vincent Hennebert 2009-10-29 04:21:59 UTC
Note: bug 48063 probably is a duplicate of this bug. Check that sample files attached to that bug run fine after this one has been fixed.
Comment 5 Heidi Vanparys 2009-12-16 05:46:46 UTC
This bug does not seem to be related to bug 48063. The test files attached to bug 47424 show an infinite loop in org.apache.fop.layoutmgr.PageBreakingAlgorithm.getFootnoteSplit(int, int, int,
int, boolean), whereas the test file attached to bug 48063 encounters an infinite loop in org.apache.fop.layoutmgr.PageBreakingAlgorithm.createFootnotePages(KnuthPageNode).
Comment 6 Glenn Adams 2012-04-07 01:37:03 UTC
resetting severity from major to normal pending further review
Comment 7 Glenn Adams 2012-04-07 01:39:43 UTC
resetting P1 open bugs to P3 pending further review